package sun.management.snmp.jvminstr;

import com.sun.jmx.snmp.SnmpStatusException;
import java.io.Serializable;
import sun.management.snmp.jvmmib.JvmRTLibraryPathEntryMBean;

public class JvmRTLibraryPathEntryImpl implements JvmRTLibraryPathEntryMBean, Serializable
{
    static final long serialVersionUID = -3322438153507369765L;
    private final String item;
    private final int index;
    
    public JvmRTLibraryPathEntryImpl(String s, int index) {
        this.item = this.validPathElementTC(s);
        this.index = index;
    }
    
    private String validPathElementTC(String s) {
        return JVM_MANAGEMENT_MIB_IMPL.validPathElementTC(s);
    }
    
    public String getJvmRTLibraryPathItem() throws SnmpStatusException {
        return this.item;
    }
    
    public Integer getJvmRTLibraryPathIndex() throws SnmpStatusException {
        return new Integer(this.index);
    }
}
